org.eclipse.rdf4j.query.parser.sparql.manifest

## Class SPARQLUpdateConformanceTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQLUpdateConformanceTest

- All Implemented Interfaces:
    junit.framework.Test

  Deprecated.
  since 3.3.0. Use `SPARQL11UpdateComplianceTest` instead.

      @Deprecated
      public abstract class SPARQLUpdateConformanceTest
      extends junit.framework.TestCase

  A SPARQL 1.1 Update test, created by reading in a W3C working-group style manifest.
  Author:
    Jeen Broekstra

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `SPARQLUpdateConformanceTest.Factory` Deprecated.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Repository` | `dataRep` Deprecated.
    `protected Dataset` | `dataset` Deprecated.
    `protected Repository` | `expectedResultRepo` Deprecated.
    `protected String` | `requestFileURL` Deprecated.
    `protected String` | `testURI` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPARQLUpdateConformanceTest(String testURI, String name, String requestFile, IRI defaultGraphURI, Map<String,IRI> inputNamedGraphs, IRI resultDefaultGraphURI, Map<String,IRI> resultNamedGraphs)` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Repository` | `createRepository()` Deprecated.
    `protected static String` | `getManifestName(Repository manifestRep, RepositoryConnection con, String manifestFileURL)` Deprecated.
    `protected abstract Repository` | `newRepository()` Deprecated.
    `protected void` | `runTest()` Deprecated.
    `protected void` | `setUp()` Deprecated.
    `static junit.framework.TestSuite` | `suite(String manifestFileURL, SPARQLUpdateConformanceTest.Factory factory)` Deprecated.
    `static junit.framework.TestSuite` | `suite(String manifestFileURL, SPARQLUpdateConformanceTest.Factory factory, boolean approvedOnly)` Deprecated.
    `protected void` | `tearDown()` Deprecated.

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### testURI

          protected final String testURI

      Deprecated.

    - #### requestFileURL

          protected final String requestFileURL

      Deprecated.

    - #### dataRep

          protected Repository dataRep

      Deprecated.

    - #### expectedResultRepo

          protected Repository expectedResultRepo

      Deprecated.

    - #### dataset

          protected final Dataset dataset

      Deprecated.

  - ### Constructor Detail

    - #### SPARQLUpdateConformanceTest

          public SPARQLUpdateConformanceTest(String testURI,
                                             String name,
                                             String requestFile,
                                             IRI defaultGraphURI,
                                             Map<String,IRI> inputNamedGraphs,
                                             IRI resultDefaultGraphURI,
                                             Map<String,IRI> resultNamedGraphs)

      Deprecated.

  - ### Method Detail

    - #### setUp

          protected void setUp()
                        throws Exception

      Deprecated.
      Overrides:
        `setUp` in class `junit.framework.TestCase`
      Throws:
        `Exception`

    - #### createRepository

          protected Repository createRepository()
                                         throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### newRepository

          protected abstract Repository newRepository()
                                               throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### tearDown

          protected void tearDown()
                           throws Exception

      Deprecated.
      Overrides:
        `tearDown` in class `junit.framework.TestCase`
      Throws:
        `Exception`

    - #### runTest

          protected void runTest()
                          throws Exception

      Deprecated.
      Overrides:
        `runTest` in class `junit.framework.TestCase`
      Throws:
        `Exception`

    - #### suite

          public static junit.framework.TestSuite suite(String manifestFileURL,
                                                        SPARQLUpdateConformanceTest.Factory factory)
                                                 throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### suite

          public static junit.framework.TestSuite suite(String manifestFileURL,
                                                        SPARQLUpdateConformanceTest.Factory factory,
                                                        boolean approvedOnly)
                                                 throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### getManifestName

          protected static String getManifestName(Repository manifestRep,
                                                  RepositoryConnection con,
                                                  String manifestFileURL)
                                           throws QueryEvaluationException,
                                                  RepositoryException,
                                                  MalformedQueryException

      Deprecated.
      Throws:
        `QueryEvaluationException`
        `RepositoryException`
        `MalformedQueryException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.